Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST trackingUnits · POS API

POST trackingUnits

POS API v3trackingUnits
POST/trackingUnits?qnipsUserName={qnipsUserName}&outletId={outletId}&sortimentId={sortimentId}&instanceName={instanceName}

If a cash register is moved to another store, or switched to a different sortiment, this should be reported to our system via a POST call to the trackingUnit resource. With this, we reorganize the trackingUnit accordingly.

If successful, an empty HTTP-200 response is delivered

Parameter

qnipsUserNamestringErforderlich

Let the merchant enter his menio username and enter it here. The value should be escaped URL-compliant, since it can contain umlauts: hans.möller@firma.de -> hans.m%C3%B6ller@firma.de

Beispiel: hans.m%C3%B6ller@firma.de
outletIdlongErforderlich

Please enter the ID of the outlet where the trackingUnit is to be registered.

Beispiel: 123
sortimentIdlong

Here please optionally specify the ID of the sortiment on which the trackingUnit works

Beispiel: 234
instanceNamestring

During menio activation, have the merchant enter a name for the instance to be activated and specify it here. The name entered here will be visible to the merchant in the menio web portal and will help the merchant to correctly classify this instance if necessary. The value should be escaped in accordance with the URL, since it can contain umlauts and spaces, for example: * 'Kasse im Gang 1' -> 'Kasse%20im%20Gang%201'*

Beispiel: Kasse%20im%20Gang%201

Request-Header

Content-Type
application/json
DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
Originaler Blueprint-Ausschnitt
API Blueprint
### POST trackingUnits [POST]
If a cash register is moved to another store, or switched to a different sortiment, this should be reported to our system via a
POST call to the trackingUnit resource. With this, we reorganize the trackingUnit accordingly.

If successful, an empty HTTP-200 response is delivered

+ Parameters
    + qnipsUserName (`hans.m%C3%B6ller@firma.de`) ... Let the merchant enter his qnips username and enter it here. The value should be escaped URL-compliant, since it can contain umlauts: *hans.möller@firma.de -> hans.m%C3%B6ller@firma.de*
    + outletId (long, `123`) ... Please enter the ID of the outlet where the trackingUnit is to be registered.
    + sortimentId (optional, long, `234`) ... Here please optionally specify the ID of the sortiment on which the trackingUnit works
    + instanceName (optional, string, `Kasse%20im%20Gang%201`) ... During qnips activation, have the merchant enter a name for the instance to be activated and specify it here. The name entered here will be visible to the merchant in the qnips web portal and will help the merchant to correctly classify this instance if necessary. The value should be escaped in accordance with the URL, since it can contain umlauts and spaces, for example: * 'Kasse im Gang 1' -> 'Kasse%20im%20Gang%201'*

+ Request

    + Headers

            Content-Type: application/json
            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}

+ response 200

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing

+ Response 401

        // HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available
            
+ response 400

        {
            "ErrorId":123,
            "ErrorText": "Details of the error"
        }
        
        // here all possible error codes incl. texts for this resource
        // 1000: Body contains syntactical errors and cannot be deserialized